Bug 974293 - [abrt] kicad-2012.01.19-2.rev3256.fc18: GetStringData: Process /usr/bin/kicad was killed by signal 11 (SIGSEGV)
[abrt] kicad-2012.01.19-2.rev3256.fc18: GetStringData: Process /usr/bin/kicad...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kicad (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alain Portal
Fedora Extras Quality Assurance
abrt_hash:8409276a3079ceb1a7b31dd92a0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 17:35 EDT by Zach Stuart
Modified: 2013-07-02 17:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-02 17:24:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.59 KB, text/plain)
2013-06-13 17:35 EDT, Zach Stuart
no flags Details
File: cgroup (127 bytes, text/plain)
2013-06-13 17:35 EDT, Zach Stuart
no flags Details
File: core_backtrace (4.58 KB, text/plain)
2013-06-13 17:35 EDT, Zach Stuart
no flags Details
File: dso_list (8.63 KB, text/plain)
2013-06-13 17:36 EDT, Zach Stuart
no flags Details
File: environ (2.88 KB, text/plain)
2013-06-13 17:36 EDT, Zach Stuart
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-13 17:36 EDT, Zach Stuart
no flags Details
File: maps (45.23 KB, text/plain)
2013-06-13 17:36 EDT, Zach Stuart
no flags Details
File: open_fds (320 bytes, text/plain)
2013-06-13 17:36 EDT, Zach Stuart
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-06-13 17:36 EDT, Zach Stuart
no flags Details
File: var_log_messages (307 bytes, text/plain)
2013-06-13 17:36 EDT, Zach Stuart
no flags Details

  None (edit)
Description Zach Stuart 2013-06-13 17:35:46 EDT
Version-Release number of selected component:
kicad-2012.01.19-2.rev3256.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        kicad
crash_function: GetStringData
executable:     /usr/bin/kicad
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 GetStringData at /usr/include/wx-2.8/wx/string.h:265
 #1 length at /usr/include/wx-2.8/wx/string.h:412
 #2 empty at /usr/include/wx-2.8/wx/string.h:422
 #3 wxStringBase at /usr/include/wx-2.8/wx/string.h:354
 #4 wxString at /usr/include/wx-2.8/wx/string.h:690
 #5 GetFileName at /usr/src/debug/kicad-2012.01.19/kicad/class_treeproject_item.h:51
 #6 TREE_PROJECT_FRAME::OnDragStart at /usr/src/debug/kicad-2012.01.19/kicad/tree_project_frame.cpp:220
 #7 ProcessEventIfMatches at src/common/event.cpp:1239
 #8 wxEvtHandler::ProcessEventIfMatches at src/common/event.cpp:1214
 #9 wxEventHashTable::HandleEvent at src/common/event.cpp:906

Potential duplicate: bug 802075
Comment 1 Zach Stuart 2013-06-13 17:35:50 EDT
Created attachment 760958 [details]
File: backtrace
Comment 2 Zach Stuart 2013-06-13 17:35:54 EDT
Created attachment 760959 [details]
File: cgroup
Comment 3 Zach Stuart 2013-06-13 17:35:57 EDT
Created attachment 760960 [details]
File: core_backtrace
Comment 4 Zach Stuart 2013-06-13 17:36:00 EDT
Created attachment 760961 [details]
File: dso_list
Comment 5 Zach Stuart 2013-06-13 17:36:04 EDT
Created attachment 760962 [details]
File: environ
Comment 6 Zach Stuart 2013-06-13 17:36:07 EDT
Created attachment 760963 [details]
File: limits
Comment 7 Zach Stuart 2013-06-13 17:36:10 EDT
Created attachment 760964 [details]
File: maps
Comment 8 Zach Stuart 2013-06-13 17:36:12 EDT
Created attachment 760965 [details]
File: open_fds
Comment 9 Zach Stuart 2013-06-13 17:36:15 EDT
Created attachment 760966 [details]
File: proc_pid_status
Comment 10 Zach Stuart 2013-06-13 17:36:17 EDT
Created attachment 760967 [details]
File: var_log_messages
Comment 11 Alain Portal 2013-07-02 17:24:02 EDT
A bug report without steps to explain how to reproduce the bug is useless.
There is a new kicad release in Fedora, I hope this bug is magically fixed..
I'm not a developer, just a packager, so please, report bugs upstream: https://bugs.launchpad.net/kicad

Note You need to log in before you can comment on or make changes to this bug.